from django.conf.urls import url
from users import views as users_views

urlpatterns = [
    url(r'^login/$', users_views.LoginView.as_view(), name='login'),
    url(r'^register/$', users_views.RegisterView.as_view(), name='register'),
    url(r'^logout/$', users_views.LogoutView.as_view(), name='logout'),
    url(r'^profile/$', users_views.ProfileView.as_view(), name='profile'),
    url(r'^reset_password/$', users_views.PasswordResetView.as_view(), name='password-reset'),
    url(r'^reset_password_done/$', users_views.PasswordResetDoneView.as_view(), name='password-reset-done'),
    url(r'^change_password/(?P<uidb64>[0-9A-Za-z_\-]+)/(?P<token>[0-9A-Za-z]{1,13}-[0-9A-Za-z]{1,20})/$',
        users_views.PasswordChangeView.as_view(), name='password-change'),
    url(r'^change_password_done/$', users_views.PasswordChangeDoneView.as_view(), name='password-change-done'),
    url(r'^activate/(?P<activation_key>\w+)/$', users_views.ActivationView.as_view(), name='activation'),
]
